> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get pipeline result

> Retrieves the details of a specific pipeline, including its steps and their status.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /pipelines/{pipeline_id}/result
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /pipelines/{pipeline_id}/result:
    get:
      tags:
        - Pipeline
      summary: Get pipeline result
      description: >-
        Retrieves the details of a specific pipeline, including its steps and
        their status.
      operationId: get_pipeline_result_pipelines__pipeline_id__result_get
      parameters:
        - name: pipeline_id
          in: path
          required: true
          schema:
            type: string
            title: Pipeline Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PipelineResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PipelineResult:
      properties:
        element_results:
          additionalProperties: true
          type: object
          title: Element Results
        result:
          additionalProperties: true
          type: object
          title: Result
      type: object
      required:
        - element_results
        - result
      title: PipelineResult
      description: Model for representing a pipeline result.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````